set(TUG_DATA_PATH ${CMAKE_CURRENT_SOURCE_DIR}/inputs)
configure_file(bench_defs.hpp.in bench_defs.hpp)
set(TUG_PATH "${CMAKE_SOURCE_DIR}/include/tug")
add_executable(BTCS_2D_example BTCS_2D_example.cpp)
target_include_directories(BTCS_2D_example PUBLIC ${TUG_PATH})
target_include_directories(BTCS_2D_example PUBLIC "${CMAKE_BINARY_DIR}/examples")
target_link_libraries(BTCS_2D_example tug)
set(CMAKE_EXPORT_COMPILE_COMMANDS ON)